Package de.gebit.integrity.services

## Class DSLGrammarAccess.SuiteDefinitionElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.SuiteDefinitionElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.SuiteDefinitionElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuiteDefinitionElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getConcludedbyKeyword_11_0()` |
    `org.eclipse.xtext.Assignment` | `getDependenciesAssignment_10_2_0()` |
    `org.eclipse.xtext.CrossReference` | `getDependenciesSuiteDefinitionCrossReference_10_2_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getDependenciesSuiteDefinitionQualifiedNameParserRuleCall_10_2_0_0_1()` |
    `org.eclipse.xtext.Assignment` | `getDocumentationAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getDocumentationDocumentationCommentParserRuleCall_0_0()` |
    `org.eclipse.xtext.Assignment` | `getFinalizersAssignment_11_2_0()` |
    `org.eclipse.xtext.CrossReference` | `getFinalizersSuiteDefinitionCrossReference_11_2_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getFinalizersSuiteDefinitionQualifiedNameParserRuleCall_11_2_0_0_1()` |
    `org.eclipse.xtext.Keyword` | `getGetsKeyword_8_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_10()` |
    `org.eclipse.xtext.Group` | `getGroup_10_2()` |
    `org.eclipse.xtext.Group` | `getGroup_11()` |
    `org.eclipse.xtext.Group` | `getGroup_11_2()` |
    `org.eclipse.xtext.Group` | `getGroup_8()` |
    `org.eclipse.xtext.Group` | `getGroup_8_1()` |
    `org.eclipse.xtext.Group` | `getGroup_9()` |
    `org.eclipse.xtext.Group` | `getGroup_9_1()` |
    `org.eclipse.xtext.Assignment` | `getInlinedAssignment_3()` |
    `org.eclipse.xtext.Keyword` | `getInlinedInlinedKeyword_3_0()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_6()` |
    `org.eclipse.xtext.RuleCall` | `getNameQualifiedNameParserRuleCall_6_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_10_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_10_2_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_11_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_11_2_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_13()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_16()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_5()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_7()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_8_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_9_1_1()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_8_1_0()` |
    `org.eclipse.xtext.RuleCall` | `getParametersSuiteParameterDefinitionParserRuleCall_8_1_0_0()` |
    `org.eclipse.xtext.Assignment` | `getPrivateAssignment_1()` |
    `org.eclipse.xtext.Keyword` | `getPrivatePrivateKeyword_1_0()` |
    `org.eclipse.xtext.Keyword` | `getRequiresKeyword_10_0()` |
    `org.eclipse.xtext.Assignment` | `getReturnAssignment_9_1_0()` |
    `org.eclipse.xtext.Keyword` | `getReturnsKeyword_9_0()` |
    `org.eclipse.xtext.RuleCall` | `getReturnSuiteReturnDefinitionParserRuleCall_9_1_0_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Assignment` | `getSingleRunAssignment_2()` |
    `org.eclipse.xtext.Keyword` | `getSingleRunSingleRunKeyword_2_0()` |
    `org.eclipse.xtext.Assignment` | `getStatementsAssignment_14()` |
    `org.eclipse.xtext.RuleCall` | `getStatementsSuiteStatementParserRuleCall_14_0()` |
    `org.eclipse.xtext.Keyword` | `getSuitedefKeyword_4()` |
    `org.eclipse.xtext.Keyword` | `getSuiteendKeyword_15()` |
    `org.eclipse.xtext.Keyword` | `getWithKeyword_12()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuiteDefinitionElements

          public SuiteDefinitionElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getDocumentationAssignment_0

          public org.eclipse.xtext.Assignment getDocumentationAssignment_0()

    - #### getDocumentationDocumentationCommentParserRuleCall_0_0

          public org.eclipse.xtext.RuleCall getDocumentationDocumentationCommentParserRuleCall_0_0()

    - #### getPrivateAssignment_1

          public org.eclipse.xtext.Assignment getPrivateAssignment_1()

    - #### getPrivatePrivateKeyword_1_0

          public org.eclipse.xtext.Keyword getPrivatePrivateKeyword_1_0()

    - #### getSingleRunAssignment_2

          public org.eclipse.xtext.Assignment getSingleRunAssignment_2()

    - #### getSingleRunSingleRunKeyword_2_0

          public org.eclipse.xtext.Keyword getSingleRunSingleRunKeyword_2_0()

    - #### getInlinedAssignment_3

          public org.eclipse.xtext.Assignment getInlinedAssignment_3()

    - #### getInlinedInlinedKeyword_3_0

          public org.eclipse.xtext.Keyword getInlinedInlinedKeyword_3_0()

    - #### getSuitedefKeyword_4

          public org.eclipse.xtext.Keyword getSuitedefKeyword_4()

    - #### getNLParserRuleCall_5

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_5()

    - #### getNameAssignment_6

          public org.eclipse.xtext.Assignment getNameAssignment_6()

    - #### getNameQualifiedNameParserRuleCall_6_0

          public org.eclipse.xtext.RuleCall getNameQualifiedNameParserRuleCall_6_0()

    - #### getNLParserRuleCall_7

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_7()

    - #### getGroup_8

          public org.eclipse.xtext.Group getGroup_8()

    - #### getGetsKeyword_8_0

          public org.eclipse.xtext.Keyword getGetsKeyword_8_0()

    - #### getGroup_8_1

          public org.eclipse.xtext.Group getGroup_8_1()

    - #### getParametersAssignment_8_1_0

          public org.eclipse.xtext.Assignment getParametersAssignment_8_1_0()

    - #### getParametersSuiteParameterDefinitionParserRuleCall_8_1_0_0

          public org.eclipse.xtext.RuleCall getParametersSuiteParameterDefinitionParserRuleCall_8_1_0_0()

    - #### getNLParserRuleCall_8_1_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_8_1_1()

    - #### getGroup_9

          public org.eclipse.xtext.Group getGroup_9()

    - #### getReturnsKeyword_9_0

          public org.eclipse.xtext.Keyword getReturnsKeyword_9_0()

    - #### getGroup_9_1

          public org.eclipse.xtext.Group getGroup_9_1()

    - #### getReturnAssignment_9_1_0

          public org.eclipse.xtext.Assignment getReturnAssignment_9_1_0()

    - #### getReturnSuiteReturnDefinitionParserRuleCall_9_1_0_0

          public org.eclipse.xtext.RuleCall getReturnSuiteReturnDefinitionParserRuleCall_9_1_0_0()

    - #### getNLParserRuleCall_9_1_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_9_1_1()

    - #### getGroup_10

          public org.eclipse.xtext.Group getGroup_10()

    - #### getRequiresKeyword_10_0

          public org.eclipse.xtext.Keyword getRequiresKeyword_10_0()

    - #### getNLParserRuleCall_10_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_10_1()

    - #### getGroup_10_2

          public org.eclipse.xtext.Group getGroup_10_2()

    - #### getDependenciesAssignment_10_2_0

          public org.eclipse.xtext.Assignment getDependenciesAssignment_10_2_0()

    - #### getDependenciesSuiteDefinitionCrossReference_10_2_0_0

          public org.eclipse.xtext.CrossReference getDependenciesSuiteDefinitionCrossReference_10_2_0_0()

    - #### getDependenciesSuiteDefinitionQualifiedNameParserRuleCall_10_2_0_0_1

          public org.eclipse.xtext.RuleCall getDependenciesSuiteDefinitionQualifiedNameParserRuleCall_10_2_0_0_1()

    - #### getNLParserRuleCall_10_2_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_10_2_1()

    - #### getGroup_11

          public org.eclipse.xtext.Group getGroup_11()

    - #### getConcludedbyKeyword_11_0

          public org.eclipse.xtext.Keyword getConcludedbyKeyword_11_0()

    - #### getNLParserRuleCall_11_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_11_1()

    - #### getGroup_11_2

          public org.eclipse.xtext.Group getGroup_11_2()

    - #### getFinalizersAssignment_11_2_0

          public org.eclipse.xtext.Assignment getFinalizersAssignment_11_2_0()

    - #### getFinalizersSuiteDefinitionCrossReference_11_2_0_0

          public org.eclipse.xtext.CrossReference getFinalizersSuiteDefinitionCrossReference_11_2_0_0()

    - #### getFinalizersSuiteDefinitionQualifiedNameParserRuleCall_11_2_0_0_1

          public org.eclipse.xtext.RuleCall getFinalizersSuiteDefinitionQualifiedNameParserRuleCall_11_2_0_0_1()

    - #### getNLParserRuleCall_11_2_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_11_2_1()

    - #### getWithKeyword_12

          public org.eclipse.xtext.Keyword getWithKeyword_12()

    - #### getNLParserRuleCall_13

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_13()

    - #### getStatementsAssignment_14

          public org.eclipse.xtext.Assignment getStatementsAssignment_14()

    - #### getStatementsSuiteStatementParserRuleCall_14_0

          public org.eclipse.xtext.RuleCall getStatementsSuiteStatementParserRuleCall_14_0()

    - #### getSuiteendKeyword_15

          public org.eclipse.xtext.Keyword getSuiteendKeyword_15()

    - #### getNLParserRuleCall_16

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_16()